> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get summary

> Get the summary of hosts based on the field



## OpenAPI

````yaml post /v1/hosts/summary
openapi: 3.0.1
info:
  title: Odin
  description: >-
    ODIN APIs to search across IP Services, CVEs, Exposed Files/Buckets, Domains
    and more
  contact: {}
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://api.odin.io/
security: []
paths:
  /v1/hosts/summary:
    post:
      tags:
        - Hosts
      summary: Get summary
      description: Get the summary of hosts based on the field
      requestBody:
        description: Summary
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/SummaryRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ipservices.HostsSummaryResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '402':
          description: Payment Required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '408':
          description: Request Timeout
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    SummaryRequest:
      required:
        - field
        - limit
      type: object
      properties:
        field:
          type: string
        limit:
          type: integer
        query:
          type: string
    ipservices.HostsSummaryResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            buckets:
              type: array
              items:
                type: object
                properties:
                  doc_count:
                    type: integer
                  key:
                    type: object
            doc_count_error_upper_bound:
              type: integer
            sum_other_doc_count:
              type: integer
        message:
          type: string
        success:
          type: boolean
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
        success:
          type: boolean
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: X-API-Key
      in: header

````